﻿@page
@model Orgatron.Pages.Evenements.LeaderBoardModel

@{
	ViewData["Title"] = "Index";
}

<h1>Leaderboard</h1>

<div>Le meilleur joueur est celui qui a la meilleure moyenne de points par partie après application des bonus/malus</div>

<table class="table">
	<thead>
        <tr>
            <th>
                Classement
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Classement[0].Joueur)
            </th>
            <th>
                Moyenne
            </th>
            <th>
                Points
            </th>
            <th>
                Nb parties
            </th>
            <th>
                Nb refus
            </th>
            <th>
                Mn pause
            </th>
            <th>
                Ajustements
            </th>
            <th>
                Historique
            </th>
        </tr>
	</thead>
	<tbody>
		@{int i = 0;}
		@foreach (var item in Model.Classement)
		{
        <tr>
            <td>
                @{i++;}
                @i
            </td>
            <td>
                @Html.DisplayFor(model => item.Joueur)
            </td>
            <td>
                @item.Moyenne.ToString("0.##")
            </td>
            <td>
                @Html.DisplayFor(model => item.Score)
            </td>
            <td>
                @Html.DisplayFor(model => item.NbParties)
            </td>
            <td>
                @Html.DisplayFor(model => item.NbRefus)
            </td>
            <td>
                @Html.DisplayFor(model => item.MinutesPause)
            </td>
            @if ((await AuthorizationService.AuthorizeAsync(User, "AdminOnly")).Succeeded)
            {
                <td>
                    <form method="post" asp-page-handler="editScore" class="row">
                        <input type="hidden" asp-for="Input.UserName" value="@item.Joueur" />
                        <input type="hidden" asp-for="Input.EvenementId" value="@(Request.Query["idEvenement"])" />
                        <div class="col-sm-6">
                            <input asp-for="Input.Points" class="form-control" value="@item.AjustementModeration" />
                            <span asp-validation-for="Input.Points" class="text-danger"></span>
                        </div>
                        <div class="col-sm-6">
                            <button type="submit" class="btn btn-primary">Modifier</button>
                        </div>
                        <div class="col-sm-12 text-danger" asp-validation-summary="All"></div>
                    </form>
                </td>
            }
            else
            {
                <td>
                    @Html.DisplayFor(model => item.AjustementModeration)
                </td>
            }
            <td>
                <a asp-page="/Evenements/Historique" asp-route-idEvenement="@Model.IdEvenement" asp-route-nomJoueur="@item.Joueur">Details</a>
            </td>
        </tr>
		}
	</tbody>
</table>